# Uses of Class
javax.swing.plaf.TableUI

Packages that use TableUI
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

- ## Uses of TableUI in javax.swing

  Methods in javax.swing that return TableUI
  Modifier and Type
  Method
  Description
  `TableUI`
  JTable.`getUI()`
  Returns the L&F object that renders this component.
  Methods in javax.swing with parameters of type TableUI
  Modifier and Type
  Method
  Description
  `void`
  JTable.`setUI(TableUI ui)`
  Sets the L&F object that renders this component and repaints.

- ## Uses of TableUI in javax.swing.plaf.basic

  Subclasses of TableUI in javax.swing.plaf.basic
  Modifier and Type
  Class
  Description
  `class`
  `BasicTableUI`
  BasicTableUI implementation

- ## Uses of TableUI in javax.swing.plaf.multi

  Subclasses of TableUI in javax.swing.plaf.multi
  Modifier and Type
  Class
  Description
  `class`
  `MultiTableUI`
  A multiplexing UI used to combine `TableUI`s.

- ## Uses of TableUI in javax.swing.plaf.synth

  Subclasses of TableUI in javax.swing.plaf.synth
  Modifier and Type
  Class
  Description
  `class`
  `SynthTableUI`
  Provides the Synth L&F UI delegate for `JTable`.